grafana:
  ingress:
    ## If true, Grafana Ingress will be created
    ##
    enabled: true

    ## Annotations for Grafana Ingress
    ##
    annotations:
      kubernetes.io/tls-acme: "true"
      kubernetes.io/ingress.class: nginx
      cert-manager.io/cluster-issuer: "letsencrypt-prod"

    ## Labels to be added to the Ingress
    ##
    labels: {}

    ## Hostnames.
    ## Must be provided if Ingress is enable.
    ##
    hosts:
      - grafana.drupal.local


    ## Path for grafana ingress
    path: /

    ## TLS configuration for grafana Ingress
    ## Secret must be manually created in the namespace
    ##
    tls:
    - secretName: grafana-general-tls
      hosts:
      - grafana.drupal.local

  dashboards:
    default:
      apache:
        gnetId: 3894
        revision: 5
        datasource: Prometheus
      memcached:
        gnetId: 37
        revision: 1
        datasource: Prometheus
      prometheus-stats:
        # Ref: https://grafana.com/dashboards/2
        gnetId: 2
        revision: 2
        datasource: Prometheus

      apache_rev5:
        file: dashboards/apache_rev5.json


prometheus:
  prometheusSpec:
    ## If true, a nil or {} value for prometheus.prometheusSpec.serviceMonitorSelector will cause the
    ## prometheus resource to be created with selectors based on values in the helm deployment,
    ## which will also match the servicemonitors created
    ##
    serviceMonitorSelectorNilUsesHelmValues: false

  ingress:
    ## If true, prometheus Ingress will be created
    ##
    enabled: true

    ## Annotations for prometheus Ingress
    ##
    annotations:
      kubernetes.io/tls-acme: "true"
      kubernetes.io/ingress.class: nginx
      cert-manager.io/cluster-issuer: "letsencrypt-prod"

    ## Labels to be added to the Ingress
    ##
    labels: {}

    ## Hostnames.
    ## Must be provided if Ingress is enable.
    ##
    hosts:
      - prometheus.drupal.local


    ## Path for prometheus ingress
    path: /

    ## TLS configuration for prometheus Ingress
    ## Secret must be manually created in the namespace
    ##
    tls:
    - secretName: prometheus-general-tls
      hosts:
      - prometheus.drupal.local



alertmanager:
  ingress:
    ## If true, alertmanager Ingress will be created
    ##
    enabled: true

    ## Annotations for alertmanager Ingress
    ##
    annotations:
      kubernetes.io/tls-acme: "true"
      kubernetes.io/ingress.class: nginx
      cert-manager.io/cluster-issuer: "letsencrypt-prod"

    ## Labels to be added to the Ingress
    ##
    labels: {}

    ## Hostnames.
    ## Must be provided if Ingress is enable.
    ##
    hosts:
      - alertmanager.drupal.local


    ## Path for alertmanager ingress
    path: /

    ## TLS configuration for alertmanager Ingress
    ## Secret must be manually created in the namespace
    ##
    tls:
    - secretName: alertmanager-general-tls
      hosts:
      - alertmanager.drupal.local

